#include<bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	
	int n, l;
	cin >> n >> l;
	
	int stalaktiti[n];
	
	for(int i = 0; i < n; i++)
		cin >> stalaktiti[i];
		
	bool moze_da_prodje = true;
	int redni_broj = 0;
		
	for(int i = 0; i < n; i++){
		if(l >= stalaktiti[i]){
			moze_da_prodje = false;
			redni_broj = i+1;
			break;	
		}
	}
	
	if(moze_da_prodje)
		cout << "-1";
	else
		cout << redni_broj;
		
		
	return 0;
}